# Class CreateOptions

java.lang.Object
org.apache.zookeeper.CreateOptions

public class CreateOptions extends Object
Options for creating znode in ZooKeeper data tree.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CreateOptions.Builder`
Builder for `CreateOptions`.

## Method Summary

Modifier and Type
Method
Description
`List<ACL>`
`getAcl()`
`CreateMode`
`getCreateMode()`
`long`
`getTtl()`
`static CreateOptions.Builder`
`newBuilder(List<ACL> acl, CreateMode createMode)`
Constructs a builder for `CreateOptions`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getCreateMode

public CreateMode getCreateMode()

### getAcl

public List<ACL> getAcl()

### getTtl

public long getTtl()

### newBuilder

public static CreateOptions.Builder newBuilder(List<ACL> acl, CreateMode createMode)
Constructs a builder for `CreateOptions`.

Parameters:
  `acl` - the acl for the node
  `createMode` - specifying whether the node to be created is ephemeral and/or sequential